#include <iostream>
#include <vector>
using namespace std;

int main() {
    while (true) {
        int n;

        // Entrada do número de atletas
        cout << "Digite o número de atletas (0 para sair): ";
        cin >> n;

        if (n == 0) {
            break;
        }

        // Inicializa o vetor para armazenar as posições no ranking
        vector<int> posicaoNoRanking(n + 1);

        // Lê as posições e registra no vetor
        for (int posicao = 1; posicao <= n; posicao++) {
            int atleta;
            cin >> atleta;
            posicaoNoRanking[atleta] = posicao;
        }

        // Imprime as posições no ranking
        for (int atleta = 1; atleta <= n; atleta++) {
            cout << posicaoNoRanking[atleta] << endl;
        }
    }

    return 0;
}
